Retrieve a secret set
Updated
Retrieves the key names in a secret set.
Preview documentation
You're reading the Conversational AI Platform (Preview) docs. Switch to Main.
GET
https://preview.ai.agora.io/conversational-ai/v1/projects/{appid}/secrets/{name}appidstringRequired
The App ID of your project.
namestringRequired
The name of the secret set.
Response Body
The request was successful. The response body lists the keys in the set. Secret values are never returned.
Response Headers
namestringRequired
The name of the secret set.
keysarray<string>Required
The names of the keys in the set. Values are never returned.
create_tsintegerRequired
The time the set was created, as a Unix timestamp in seconds.
update_tsintegerRequired
The time the set was last updated, as a Unix timestamp in seconds.
Request examples
curl -X GET 'https://preview.ai.agora.io/conversational-ai/v1/projects/string/secrets/string'Response example
Example Response
{ "name": "support_prod", "keys": [ "llm" ], "create_ts": 1789898400, "update_ts": 1790000000}